Appearance
Add reservation guestdata
POST
/v1/reservations/{reservation_id}/guestdata
Updates the guest data for a reservation id
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Path Parameters
reservation_id*
XS2event ID of the Reservation
Type
Requiredstring
Request Body
application/json
JSON "items": [ { "ticket_id": "string", "quantity": 0, "guests": [ { "first_name": null, "last_name": null, "passport_number": "ABC123456", "contact_email": "user@example.com", "contact_phone": "+31123456789", "lead_guest": true, "date_of_birth": "1991-01-30", "gender": "male", "country_of_residence": "NLD", "street_name": "Hereweg 95", "additional_street_name": "e", "city": "Groningen", "zip": "9721AA", "province": "Groningen", "supported_team": "Los Angeles Rams", "guest_id": null, "conditions": { "additionalProperties": "string" } } ] } ]
{
}
Responses
OK
application/json
JSON "items": [ { "ticket_id": "string", "quantity": 0, "guests": [ { "first_name": "John", "last_name": "Doe", "passport_number": "ABC123456", "contact_email": "user@example.com", "contact_phone": "+31123456789", "lead_guest": true, "date_of_birth": "1991-01-30", "gender": "male", "country_of_residence": "NLD", "street_name": "Hereweg 95", "additional_street_name": "e", "city": "Groningen", "zip": "9721AA", "province": "Groningen", "supported_team": "Los Angeles Rams", "guest_id": null, "conditions": { "additionalProperties": "string" } } ] } ]
{
}